# Uses of Class
org.springframework.expression.spel.support.BooleanTypedValue

Packages that use BooleanTypedValue
Package
Description
org.springframework.expression.spel.ast
SpEL's abstract syntax tree.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of BooleanTypedValue in org.springframework.expression.spel.ast

Methods in org.springframework.expression.spel.ast that return BooleanTypedValue
Modifier and Type
Method
Description
`BooleanTypedValue`
BooleanLiteral.`getLiteralValue()`
`BooleanTypedValue`
OpEQ.`getValueInternal(ExpressionState state)`
`BooleanTypedValue`
OperatorBetween.`getValueInternal(ExpressionState state)`
Returns a boolean based on whether a value is in the range expressed.
`BooleanTypedValue`
OperatorInstanceof.`getValueInternal(ExpressionState state)`
Compare the left operand to see it is an instance of the type specified as the right operand.
`BooleanTypedValue`
OperatorMatches.`getValueInternal(ExpressionState state)`
Check the first operand matches the regex specified as the second operand.
`BooleanTypedValue`
OperatorNot.`getValueInternal(ExpressionState state)`
`BooleanTypedValue`
OpGE.`getValueInternal(ExpressionState state)`
`BooleanTypedValue`
OpGT.`getValueInternal(ExpressionState state)`
`BooleanTypedValue`
OpLE.`getValueInternal(ExpressionState state)`
`BooleanTypedValue`
OpLT.`getValueInternal(ExpressionState state)`
`BooleanTypedValue`
OpNE.`getValueInternal(ExpressionState state)`
`BooleanTypedValue`
OpOr.`getValueInternal(ExpressionState state)`

## Uses of BooleanTypedValue in org.springframework.expression.spel.support

Fields in org.springframework.expression.spel.support declared as BooleanTypedValue
Modifier and Type
Field
Description
`static final BooleanTypedValue`
BooleanTypedValue.`FALSE`
False.
`static final BooleanTypedValue`
BooleanTypedValue.`TRUE`
True.
Methods in org.springframework.expression.spel.support that return BooleanTypedValue
Modifier and Type
Method
Description
`static BooleanTypedValue`
BooleanTypedValue.`forValue(boolean b)`